import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/appbar_custom.dart';
import 'package:rkm_educa_app/componentes/drawer_custom.dart';
import 'package:rkm_educa_app/modelos/estudante_modelo.dart';

import '../controllers/main_controllers.dart';

class TelaChamada extends StatefulWidget {
  EstudanteModelo estudanteModelo;

  TelaChamada({
    required this.estudanteModelo
});

  @override
  State<TelaChamada> createState() => _TelaChamadaState();
}

class _TelaChamadaState extends State<TelaChamada> {

  @override
  void initState() {
    super.initState();
    MainControllers().salvarLog(widget.estudanteModelo, 'CHAMADA');
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBarCustom().appbar(context, 'CHAMADAS / PRESENÇAS'),
      drawer: DrawerCustom(estudanteModelo: widget.estudanteModelo),
    );
  }
}
